function [KK] = AssemblageLap(K_PC,n_E,n_P)

    % ASSEMBLY OF THE STIFFNESS MATRIX OF THE OVERLAP
    KK = zeros(3*n_P*(n_E+1),3*n_P*(n_E+1));

    % Assembly of elementary stiffness matrices (K_PC)) of XME
    for i = 1:n_E
        KK(1+n_P*(i-1):2*n_P+n_P*(i-1),1+n_P*(i-1):2*n_P+n_P*(i-1)) = KK(1+n_P*(i-1):2*n_P+n_P*(i-1),1+n_P*(i-1):2*n_P+n_P*(i-1))+K_PC(1:2*n_P,1:2*n_P,i);
        KK(1+n_P*(i-1):2*n_P+n_P*(i-1),1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1)) = KK(1+n_P*(i-1):2*n_P+n_P*(i-1),1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1))+K_PC(1:2*n_P,2*n_P+1:4*n_P,i);
        KK(1+n_P*(i-1):2*n_P+n_P*(i-1),1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1)) = KK(1+n_P*(i-1):2*n_P+n_P*(i-1),1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1))+K_PC(1:2*n_P,4*n_P+1:6*n_P,i);

        KK(1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1),1+n_P*(i-1):2*n_P+n_P*(i-1)) = KK(1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1),1+n_P*(i-1):2*n_P+n_P*(i-1))+K_PC(2*n_P+1:4*n_P,1:2*n_P,i);
        KK(1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1),1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1)) = KK(1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1),1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1))+K_PC(2*n_P+1:4*n_P,2*n_P+1:4*n_P,i);
        KK(1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1),1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1)) = KK(1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1),1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1))+K_PC(2*n_P+1:4*n_P,4*n_P+1:6*n_P,i);

        KK(1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1),1+n_P*(i-1):2*n_P+n_P*(i-1)) = KK(1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1),1+n_P*(i-1):2*n_P+n_P*(i-1))+K_PC(4*n_P+1:6*n_P,1:2*n_P,i);
        KK(1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1),1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1)) = KK(1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1),1+n_P*(i-1)+n_P*(n_E+1):2*n_P+n_P*(i-1)+n_P*(n_E+1))+K_PC(4*n_P+1:6*n_P,2*n_P+1:4*n_P,i);
        KK(1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1),1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1)) = KK(1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1),1+n_P*(i-1)+2*n_P*(n_E+1):2*n_P+n_P*(i-1)+2*n_P*(n_E+1))+K_PC(4*n_P+1:6*n_P,4*n_P+1:6*n_P,i);
    end

end
