function [L_ME,b_ME,h_ME,S_ME,I_ME]=Geometry(Ltot,btot,e_ME,n_ME,n_P_ME)

    L_ME = zeros(1,n_ME);                    % ME length
    for j=1:n_ME
        L_ME(1,j) = Ltot/n_ME;
    end

    
    b_ME = zeros(1,n_ME);                     % ME width
    for j=1:n_ME
        b_ME(1,j) = btot;
    end
    
    h_ME = zeros(n_P_ME,n_ME);                       % half thickness of ME-layers in mm
    for i=1:n_P_ME
        for j=1:n_ME
            h_ME(i,j) = 0.5*e_ME(i,j);
        end
    end
  
    
    S_ME = zeros(n_P_ME,n_ME);                       % area of cross-section of ME-layers in mm
    for i=1:n_P_ME
        for j=1:n_ME
            S_ME(i,j) = b_ME(1,j)*e_ME(i,j);
        end
    end 

    
    I_ME = zeros(n_P_ME,n_ME);                       % inertia moment of ME-layers in mm4
    for i=1:n_P_ME
        for j=1:n_ME
            I_ME(i,j) = b_ME(1,j)*e_ME(i,j)*e_ME(i,j)*e_ME(i,j)/12;
        end
    end    
end
