function [Xtot,resLAYER_ME,resINTERFACE_ME,resSPECIMEN,w_E,wg_E,wd_E,eps_E,U_E] = PostProcess(XXtot,n_E,n_P_E,kI_E,kII_E,h_E,K_E,M_E)
Xtot = XXtot;

% =========================================================================
% RESULTS FOR DOF & FORCES IN LAYERS 
% =========================================================================
X_E=zeros(3*n_P_E*(n_E+1),1);
X_E(1:3*n_P_E*(n_E+1),1) = Xtot;
   
% ----- ME ------------------------------------------------------------
U_E = zeros(6*n_P_E,n_E);
F_E = zeros(6*n_P_E,n_E);
CONS_E=zeros(6*n_P_E,n_E);

for i = 1:n_E
    U_E(1:2*n_P_E,i) = X_E(1+n_P_E*(i-1):2*n_P_E+n_P_E*(i-1),1);
    U_E(2*n_P_E+1:4*n_P_E,i) = X_E(1+n_P_E*(i-1)+n_P_E*(n_E+1):2*n_P_E+n_P_E*(i-1)+n_P_E*(n_E+1),1);
    U_E(4*n_P_E+1:6*n_P_E,i) = X_E(1+n_P_E*(i-1)+2*n_P_E*(n_E+1):2*n_P_E+n_P_E*(i-1)+2*n_P_E*(n_E+1),1);
end
for i=1:n_E
    F_E(1:6*n_P_E,i)=K_E(1:6*n_P_E,1:6*n_P_E,i)*U_E(1:6*n_P_E,i);
end
for i = 1:n_E
    CONS_E(1:6*n_P_E,i)=M_E(1:6*n_P_E,1:6*n_P_E,i)\U_E(1:6*n_P_E,i);
    %CONS_E(1:6*n_P_E,i)=inv(M_E(1:6*n_P_E,1:6*n_P_E,i))*U_E(1:6*n_P_E,i);
end

ug_E=zeros(n_E,n_P_E);
ud_E=zeros(n_E,n_P_E);
wg_E=zeros(n_E,n_P_E);
wd_E=zeros(n_E,n_P_E);
qg_E=zeros(n_E,n_P_E);
qd_E=zeros(n_E,n_P_E);
Ng_E=zeros(n_E,n_P_E);
Nd_E=zeros(n_E,n_P_E);
Vg_E=zeros(n_E,n_P_E);
Vd_E=zeros(n_E,n_P_E);
Mg_E=zeros(n_E,n_P_E);
Md_E=zeros(n_E,n_P_E);

for i=1:n_E
    for j=1:n_P_E
        ug_E(i,j)=U_E(j,i);
        ud_E(i,j)=U_E(j+n_P_E,i); 
        wg_E(i,j)=U_E(j+2*n_P_E,i);
        wd_E(i,j)=U_E(j+3*n_P_E,i); 
        qg_E(i,j)=U_E(j+4*n_P_E,i);
        qd_E(i,j)=U_E(j+5*n_P_E,i);
        Ng_E(i,j)=-F_E(j,i);
        Nd_E(i,j)=F_E(j+n_P_E,i); 
        Vg_E(i,j)=-F_E(j+2*n_P_E,i);
        Vd_E(i,j)=F_E(j+3*n_P_E,i); 
        Mg_E(i,j)=-F_E(j+4*n_P_E,i);
        Md_E(i,j)=F_E(j+5*n_P_E,i);
    end
end

u_E=zeros(2*n_E,n_P_E);
w_E=zeros(2*n_E,n_P_E);
q_E=zeros(2*n_E,n_P_E);
N_E=zeros(2*n_E,n_P_E);
V_E=zeros(2*n_E,n_P_E);
M_E=zeros(2*n_E,n_P_E);

for i=1:n_E
    for j=1:n_P_E
        u_E(2*i-1,j)=ug_E(i,j);
        u_E(2*i,j)=ud_E(i,j);
        w_E(2*i-1,j)=wg_E(i,j);
        w_E(2*i,j)=wd_E(i,j);
        q_E(2*i-1,j)=qg_E(i,j);
        q_E(2*i,j)=qd_E(i,j);
        N_E(2*i-1,j)=Ng_E(i,j);
        N_E(2*i,j)=Nd_E(i,j);  
        V_E(2*i-1,j)=Vg_E(i,j);
        V_E(2*i,j)=Vd_E(i,j); 
        M_E(2*i-1,j)=Mg_E(i,j);
        M_E(2*i,j)=Md_E(i,j);
    end
end
        
    
% =========================================================================
% =========================================================================
        
% =========================================================================
% RESULTS FOR STRESSES AND STRAINS IN INTERFACES 
% =========================================================================
        
% ----- ME ------------------------------------------------------------
S_E=zeros(n_E+1,n_P_E-1);
T_E=zeros(n_E+1,n_P_E-1);
eps_E=zeros(n_E+1,n_P_E-1);
gam_E=zeros(n_E+1,n_P_E-1);
        
for i=1:n_E
    for j=1:n_P_E-1
        eps_E(i,j)=(wg_E(i,j)-wg_E(i,j+1));
        gam_E(i,j)=(ug_E(i,j+1)-ug_E(i,j)-h_E(j,i)*qg_E(i,j)-h_E(j+1,i)*qg_E(i,j+1));
    end
end
for j=1:n_P_E-1
    eps_E(n_E,j)=(wd_E(n_E,j)-wd_E(n_E,j+1));
    gam_E(n_E,j)=(ud_E(n_E,j+1)-ud_E(n_E,j)-h_E(j,n_E)*qd_E(n_E,j)-h_E(j+1,n_E)*qd_E(n_E,j+1));
end
    

for i=1:n_P_E-1
    for j=1:n_E
        kkI_E(i,j) = kI_E(i,j);
        kkII_E(i,j) = kII_E(i,j);
    end
    kkI_E(i,n_E+1)=kI_E(i,n_E);
    kkII_E(i,n_E+1)=kII_E(i,n_E);
end

for i=1:n_E
    for j=1:1:n_P_E-1
        S_E(i,j)=kkI_E(j,i)*eps_E(i,j);
        T_E(i,j)=kkII_E(j,i)*gam_E(i,j);
    end
end
        
% =========================================================================
% RESULT OUTPUT
% =========================================================================
        
% ----- ME ------------------------------------------------------------ 
resLAYER_ME=zeros(2*n_E,10*n_P_E);
resLAYER_ME(1:2*n_E,n_P_E+1:2*n_P_E)=u_E(1:2*n_E,1:n_P_E);
resLAYER_ME(1:2*n_E,2*n_P_E+1:3*n_P_E)=w_E(1:2*n_E,1:n_P_E);
resLAYER_ME(1:2*n_E,3*n_P_E+1:4*n_P_E)=q_E(1:2*n_E,1:n_P_E);
resLAYER_ME(1:2*n_E,4*n_P_E+1:5*n_P_E)=N_E(1:2*n_E,1:n_P_E);
resLAYER_ME(1:2*n_E,5*n_P_E+1:6*n_P_E)=V_E(1:2*n_E,1:n_P_E);
resLAYER_ME(1:2*n_E,6*n_P_E+1:7*n_P_E)=M_E(1:2*n_E,1:n_P_E);    
    
resINTERFACE_ME=zeros(n_E+1,10*n_P_E);
resINTERFACE_ME(1:n_E+1,n_P_E+1:2*n_P_E-1)=S_E(1:n_E+1,1:n_P_E-1);
resINTERFACE_ME(1:n_E+1,2*n_P_E+1:3*n_P_E-1)=T_E(1:n_E+1,1:n_P_E-1);
resINTERFACE_ME(1:n_E+1,3*n_P_E+1:4*n_P_E-1)=eps_E(1:n_E+1,1:n_P_E-1);
resINTERFACE_ME(1:n_E+1,4*n_P_E+1:5*n_P_E-1)=gam_E(1:n_E+1,1:n_P_E-1);

% ----SPECIMEN-------------------------------------------------------------
resSPECIMEN = zeros(1,5);
SUMM = sum(U_E);
resSPECIMEN(1,1) = 0.5*SUMM(1,n_E)/n_E;    %%?? SUMM()
resSPECIMEN(1,2) = F_E(1,1);                  %%?? F_E()

end
